#!/usr/bin/env python
# *********************************************************************
# * Copyright (C) 2012--2013 Luca Baldini (luca.baldini@pi.infn.it)   *
# *                                                                   *
# * For the license terms see the file LICENCE, distributed           *
# * along with this software.                                         *
# *********************************************************************
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


from __ROOT__ import *
from __logging__ import logger, startmsg
from E3RootChain import E3RootChain
from E3H1F import E3H1F


os.environ['PYTHONINSPECT'] = 'True'


if __name__ == '__main__':
    startmsg()
    from optparse import OptionParser
    parser = OptionParser()

    (opts, args) = parser.parse_args()
    if not len(args):
        parser.error('Please provide at least an input file.')

    chain = E3RootChain(args, 'CoincidenceTuple')

    canvas, hist = chain.hist1d('DeltaNanoseconds',
                                XTitle = 'Time difference [ns]')
    fitFunc = ROOT.TF1('fitFunc', 'gaus')
    hist.Fit('fitFunc')
    canvas.annotate(0.7, 0.55, 'Fit #sigma = %d ns' % fitFunc.GetParameter(2))
    canvas.Update()
