/*
  Copyright (C) 2012 Luca Baldini (luca.baldini@pi.infn.it)

  For the license terms see the file LICENSE, distributed along with this
  software.

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 3 of the License, or (at your option) any later
  version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 51
  Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#ifndef E3AncillaryDataFile_H
#define E3AncillaryDataFile_H

#include "E3MessageLogger.h"
#include "E3BinaryInputFile.h"
#include "E3AncillaryRecord.h"
#include "E3GpsRecord.h"


/*! \class E3AncillaryDataFile
  \brief Utility class for reading EEE binary data files.
*/

class E3AncillaryDataFile : public E3BinaryInputFile
{
 public:
  /// \brief Default constructor.
  E3AncillaryDataFile();

  /// \brief Constructor with the file path.
  E3AncillaryDataFile(const char* filePath);

  /// \brief Destructor.
  ~E3AncillaryDataFile() {}

  /// \brief Get the next record.
  E3AncillaryRecord next();
};

#endif
