/*
  Copyright (C) 2012 Luca Baldini (luca.baldini@pi.infn.it)

  For the license terms see the file LICENSE, distributed along with this
  software.

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 3 of the License, or (at your option) any later
  version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 51
  Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#include "E3Coincidence.h"


E3Coincidence::E3Coincidence(E3BaseEvent first, E3BaseEvent second)
{
  if (first.stationId() < second.stationId()) {
    m_eventPair = std::pair<E3BaseEvent, E3BaseEvent>(first, second);
  } else {
    m_eventPair = std::pair<E3BaseEvent, E3BaseEvent>(second, first);
  }
}


std::ostream& E3Coincidence::fillStream(std::ostream& os) const
{
  os << "Delta time = " << deltas() << " s (" << deltans() << " ns)"
     << std::endl
     << "..." << first().stationId() << "-" << first().runId() << "-"
     << first().eventId() << "\t" << first().timestamp() << std::endl
     << "..." << second().stationId() << "-" << second().runId() << "-"
     << second().eventId() << "\t" << second().timestamp();
  return os;
}
