/*
  Copyright (C) 2013 Luca Baldini (luca.baldini@pi.infn.it)

  For the license terms see the file LICENSE, distributed along with this
  software.

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 3 of the License, or (at your option) any later
  version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 51
  Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/


#include "E3CoincidenceNtuple.h"


E3CoincidenceNtuple::E3CoincidenceNtuple() :
  E3TextNtuple("CoincidenceTuple")
{}


void E3CoincidenceNtuple::addColumns()
{
  addColumn("DeltaNanoseconds", 'I');
  addColumn("StationId1", 'I');
  addColumn("RunId1", 'I');
  addColumn("EventId1", 'I');
  addColumn("StationId2", 'I');
  addColumn("RunId2", 'I');
  addColumn("EventId2", 'I');
}


void E3CoincidenceNtuple::writeRow(const E3Coincidence &coincidence)
{
  write(coincidence.deltans(), 10);
  write(coincidence.first().stationId(), 5);
  write(coincidence.first().runId(), 10);
  write(coincidence.first().eventId(), 10);
  write(coincidence.second().stationId(), 5);
  write(coincidence.second().runId(), 10);
  write(coincidence.second().eventId(), 10);
  endline();
}
