/*
  Copyright (C) 2013 Luca Baldini (luca.baldini@pi.infn.it)

  For the license terms see the file LICENSE, distributed along with this
  software.

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 3 of the License, or (at your option) any later
  version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 51
  Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#ifndef E3CoincidenceNtuple_H
#define E3CoincidenceNtuple_H


#include "E3TextNtuple.h"
#include "E3Coincidence.h"


/*! \class E3CoincidenceNtuple
  \brief Custom text ntuple to store the output of a coincidence search.
*/

class E3CoincidenceNtuple : public E3TextNtuple
{
 public:
  /// \brief Default constructor.
  E3CoincidenceNtuple();

  /// \brief Add all the necessary columns.
  void addColumns();

  /// \brief Write a row to the output file.
  void writeRow(const E3Coincidence &coincidence);
};

#endif
