/*
  Copyright (C) 2013 Luca Baldini (luca.baldini@pi.infn.it)

  For the license terms see the file LICENSE, distributed along with this
  software.

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 3 of the License, or (at your option) any later
  version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 51
  Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/


#include "E3TextOutputFile.h"


E3TextOutputFile::E3TextOutputFile()
{}


StatusCode E3TextOutputFile::open(const std::string filePath)
{
  return open(filePath.c_str());
}


StatusCode E3TextOutputFile::open(const char* filePath)
{
  LOG(INFO) << "Opening output text file " << filePath << "...";
  // Open the file and go straight to the end.
  std::ofstream::open(filePath);
  if (!is_open()) {
    // Return 1 on error.
    LOG(ERROR) << "Could not open output file.";
    return StatusCode::FAILURE;
  }
  return StatusCode::SUCCESS;
}
