/*
  Copyright (C) 2012 Luca Baldini (luca.baldini@pi.infn.it)

  For the license terms see the file LICENSE, distributed along with this
  software.

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 3 of the License, or (at your option) any later
  version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 51
  Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#include "E3Variant.h"


std::string E3Variant::strtype() const
{
  switch (m_type) {
  case BOOL  : return "bool";
  case INT   : return "int";
  case DOUBLE: return "double";
  case STRING: return "string";
  default    : return "";
  }
}


std::ostream& E3Variant::fillStream(std::ostream& os) const
{
  switch (m_type) {
  case BOOL  : os << m_data.b; break;
  case INT   : os << m_data.i; break;
  case DOUBLE: os << m_data.d; break;
  case STRING: os << m_stringData; break;
  default    : break; 
  };
  return os;
}
