/*
  Copyright (C) 2012--2013 Luca Baldini (luca.baldini@pi.infn.it)

  For the license terms see the file LICENSE, distributed along with this
  software.

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 3 of the License, or (at your option) any later
  version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 51
  Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#include "E3TelescopeConfiguration.h"
#include "E3OptionParser.h"


int main (int argc, char* argv[]) {
  std::string intent = "Test program for the telescope confinuration.";
  std::string usage = "test_config [options]";
  E3OptionParser parser(intent, usage);
  parser.addOption<std::string>("config-file", 'c',
                                "Path to the input configuration file", false);
  parser.parse(argc, argv);
  
  std::string configFilePath = parser.getOption<std::string>("config-file");
  E3TelescopeConfiguration configuration;
  if (configFilePath.size()) {
    configuration.read(configFilePath);
  }
  std::cout << configuration << std::endl;
  return 0;
}
