/*
  Copyright (C) 2012 Luca Baldini (luca.baldini@pi.infn.it)

  For the license terms see the file LICENSE, distributed along with this
  software.

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 3 of the License, or (at your option) any later
  version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 51
  Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#include "E3EventList.h"
#include "E3Timestamp.h"
#include "E3BaseEvent.h"


int main () {
  E3BaseEvent e0(0, 0, 0, E3Timestamp(0, 0));
  E3BaseEvent e1(0, 0, 1, E3Timestamp(2, 0));
  E3BaseEvent e2(0, 0, 2, E3Timestamp(4, 0));
  E3EventList l1;
  l1.fill(e2);
  l1.fill(e0);
  l1.fill(e1);
  std::cout << "Original event list: " << std::endl;
  std::cout << l1 << std::endl;
  std::cout << "Sorting... " << std::endl;
  l1.sort();
  std::cout << l1 << std::endl;
  std::cout << "Inserting..." << std::endl;
  l1.insert(E3BaseEvent(0, 0, 9, E3Timestamp(1, 500000000)));
  std::cout << l1 << std::endl;
  std::cout << "Aligning..." << std::endl;
  l1.align();
  std::cout << l1 << std::endl;
  std::cout << "Smearing..." << std::endl;
  E3EventList ls = l1.smear(50e-9, 1);
  std::cout << ls << std::endl;
  std::cout << l1.bisect(E3BaseEvent(0, 0, 0, E3Timestamp(1, 0))) << std::endl;
  std::cout << l1.bisect(E3BaseEvent(0, 0, 0, E3Timestamp(3, 0))) << std::endl;
  std::cout << l1.bisect(E3BaseEvent(0, 0, 0, E3Timestamp(5, 0))) << std::endl;
  E3EventList l2;
  l2.fillRandom(20, 0., 1., 1);
  std::cout << l2 << std::endl;
  return 0;
}
